<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/terminate_process_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/31/83  terminate_process_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>Entry points in terminate_process_:
<span id="L5" class="LineNr">  5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr">  6 </span>
<span id="L7" class="LineNr">  7 </span>
<span id="L8" class="LineNr">  8 </span>:Entry: terminate_process_: 02/15/83  terminate_process_
<span id="L9" class="LineNr">  9 </span>
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>Function: This procedure causes the process in which it is called to
<span id="L12" class="LineNr"> 12 </span>be terminated.  The arguments determine the exact nature of the
<span id="L13" class="LineNr"> 13 </span>termination.
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>
<span id="L16" class="LineNr"> 16 </span>Syntax:
<span id="L17" class="LineNr"> 17 </span>declare terminate_process_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L18" class="LineNr"> 18 </span>call terminate_process_ <span class="textRainbow_lv0_p0">(</span>action<span class="textRainbow_lv0_o0">,</span> info_ptr<span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr"> 19 </span>
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>Arguments:
<span id="L22" class="LineNr"> 22 </span>action
<span id="L23" class="LineNr"> 23 </span>   specifies one of four general actions to be taken upon process
<span id="L24" class="LineNr"> 24 </span>   termination.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The permissible values are logout, new_proc,
<span id="L25" class="LineNr"> 25 </span>   fatal_error, or init_error <span class="textRainbow_lv0_p0">(</span>see &quot;Notes&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L26" class="LineNr"> 26 </span>info_ptr
<span id="L27" class="LineNr"> 27 </span>   points to more specific information about the action to be taken at
<span id="L28" class="LineNr"> 28 </span>   termination.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The structure pointed to by info_ptr depends
<span id="L29" class="LineNr"> 29 </span>   upon action <span class="textRainbow_lv0_p0">(</span>see &quot;Notes&quot;<span class="textRainbow_lv0_p0">)</span>.
<span id="L30" class="LineNr"> 30 </span>
<span id="L31" class="LineNr"> 31 </span>
<span id="L32" class="LineNr"> 32 </span>Notes:
<span id="L33" class="LineNr"> 33 </span>If action is logout then the user's process is logged out.  The
<span id="L34" class="LineNr"> 34 </span>info_ptr points to:
<span id="L35" class="LineNr"> 35 </span>   dcl 1 logout_info    aligned,
<span id="L36" class="LineNr"> 36 </span>         2 version      fixed bin,
<span id="L37" class="LineNr"> 37 </span>         2 hold         bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L38" class="LineNr"> 38 </span>         2 brief        bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L39" class="LineNr"> 39 </span>         2 pad          bit<span class="textRainbow_lv0_p0">(</span>34<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L40" class="LineNr"> 40 </span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>   Structure elements:
<span id="L43" class="LineNr"> 43 </span>   version
<span id="L44" class="LineNr"> 44 </span>      must be 0.
<span id="L45" class="LineNr"> 45 </span>   hold
<span id="L46" class="LineNr"> 46 </span>      must be &quot;1&quot;b if the terminal associated with this process is not
<span id="L47" class="LineNr"> 47 </span>      to be hung up, so that another user may log in.
<span id="L48" class="LineNr"> 48 </span>   brief
<span id="L49" class="LineNr"> 49 </span>      must be &quot;1&quot;b if the logout message is to be suppressed.
<span id="L50" class="LineNr"> 50 </span>   pad
<span id="L51" class="LineNr"> 51 </span>      must be &quot;0&quot;b.
<span id="L52" class="LineNr"> 52 </span>
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>If action is new_proc, then the user's current process is logged out
<span id="L55" class="LineNr"> 55 </span>and a new process is created.  The info_ptr points to:
<span id="L56" class="LineNr"> 56 </span>   dcl 1 new_proc_info              aligned,
<span id="L57" class="LineNr"> 57 </span>         2 version                  fixed bin,
<span id="L58" class="LineNr"> 58 </span>         2 authorization_option     bit<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L59" class="LineNr"> 59 </span>         2 pad                      bit<span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span> unaligned,
<span id="L60" class="LineNr"> 60 </span>         2 new_authorization        bit<span class="textRainbow_lv0_p0">(</span>72<span class="textRainbow_lv0_p0">)</span> aligned;
<span id="L61" class="LineNr"> 61 </span>
<span id="L62" class="LineNr"> 62 </span>
<span id="L63" class="LineNr"> 63 </span>   Structure elements:
<span id="L64" class="LineNr"> 64 </span>   version
<span id="L65" class="LineNr"> 65 </span>      must be 1.
<span id="L66" class="LineNr"> 66 </span>   authorization_option
<span id="L67" class="LineNr"> 67 </span>      must be 1 if new_authorization is to be used.
<span id="L68" class="LineNr"> 68 </span>   pad
<span id="L69" class="LineNr"> 69 </span>      must be 0.
<span id="L70" class="LineNr"> 70 </span>   new_authorization
<span id="L71" class="LineNr"> 71 </span>      is the authorization of the new process.
<span id="L72" class="LineNr"> 72 </span>
<span id="L73" class="LineNr"> 73 </span>
<span id="L74" class="LineNr"> 74 </span>If action is fatal_error, then the user's current process is terminated
<span id="L75" class="LineNr"> 75 </span>due to an unrecoverable error.  A fatal error message is printed on the
<span id="L76" class="LineNr"> 76 </span>terminal and a new process is created.  The info_ptr points to:
<span id="L77" class="LineNr"> 77 </span>   dcl 1 fatal_error_info     aligned,
<span id="L78" class="LineNr"> 78 </span>         2 version            fixed bin,
<span id="L79" class="LineNr"> 79 </span>         2 status_code        fixed bin<span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>;
<span id="L80" class="LineNr"> 80 </span>
<span id="L81" class="LineNr"> 81 </span>
<span id="L82" class="LineNr"> 82 </span>   Structure elements:
<span id="L83" class="LineNr"> 83 </span>   version
<span id="L84" class="LineNr"> 84 </span>      must be 0.
<span id="L85" class="LineNr"> 85 </span>   status_code
<span id="L86" class="LineNr"> 86 </span>      is a standard system status code <span class="textRainbow_lv0_p0">(</span>in error_table_<span class="textRainbow_lv0_p0">)</span> indicating the
<span id="L87" class="LineNr"> 87 </span>      nature of the fatal error, the corresponding error message will
<span id="L88" class="LineNr"> 88 </span>      be printed on the user's console.
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>If action is init_error, then the user's process is logged out and a
<span id="L91" class="LineNr"> 91 </span>message indicating that his process could not be initialized is
<span id="L92" class="LineNr"> 92 </span>printed.  The info_ptr points to:
<span id="L93" class="LineNr"> 93 </span>
<span id="L94" class="LineNr"> 94 </span>   dcl 1 init_error_info     aligned,
<span id="L95" class="LineNr"> 95 </span>         2 version           fixed bin,
<span id="L96" class="LineNr"> 96 </span>         2 status_code       fixed bin<span class="textRainbow_lv0_p0">(</span>35<span class="textRainbow_lv0_p0">)</span>;
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>
<span id="L99" class="LineNr"> 99 </span>   Structure elements:
<span id="L100" class="LineNr">100 </span>   version
<span id="L101" class="LineNr">101 </span>      must be 0.
<span id="L102" class="LineNr">102 </span>   status_code
<span id="L103" class="LineNr">103 </span>      is a standard Multics code indicating the nature of the error.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
